| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
EnumDefImpl< ENUM > Class Template Reference
Basic

`#include <enums.h>`

Inheritance diagram for EnumDefImpl< ENUM >:
[legend]

## Public Member Functions
| EnumDefImpl (const char *nm, const char *s[], short nrs=0)
ENUM | getEnumForIndex (int idx) const
const char * | getKey (ENUM theenum) const
ENUM | parse (const char *txt) const
bool | parse (const char *txt, ENUM &res) const
bool | parse (const IOPar &par, const char *key, ENUM &res) const
const char * | toString (ENUM theenum) const
uiString | toUiString (ENUM theenum) const
Public Member Functions inherited from EnumDef
| EnumDef ()
| EnumDef (const char *nm, const char *s[], short nrs=0)
void | add (const char *key, const uiString &, int enumval, const char *iconfile)
int | convert (const char *txt) const
const char * | convert (int idx) const
int | getEnumValForIndex (int) const
const char * | getIconFileForIndex (int idx) const
const char * | getKeyForIndex (int i) const
uiString | getUiStringForIndex (int i) const
int | indexOf (const char *s) const
int | indexOf (int enumval) const
bool | isValidKey (const char *) const
bool | isValidName (const char *key) const
const BufferStringSet & | keys () const
void | remove (const char *key)
void | setIconFileForIndex (int idx, const char *)
void | setUiStringForIndex (int, const uiString &)
int | size () const
const uiStringSet & | strings () const
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Private Member Functions
void | init ()

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Protected Member Functions inherited from EnumDef
void | fillUiStrings ()
Protected Attributes inherited from EnumDef
TypeSet< int > | enums_
BufferStringSet | iconfiles_
BufferStringSet | keys_
uiStringSet | uistrings_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

template<class ENUM>
class EnumDefImpl< ENUM >

<>

## Constructor & Destructor Documentation

## ◆ EnumDefImpl()

template<class ENUM >

EnumDefImpl< ENUM >::EnumDefImpl | ( | const char * | nm,
|  | const char * | s[],
|  | short | nrs = 0 )
| inline

## Member Function Documentation

## ◆ getEnumForIndex()

template<class ENUM >

ENUM EnumDefImpl< ENUM >::getEnumForIndex | ( | int | idx | ) | const
| inline

## ◆ getKey()

template<class ENUM >

const char * EnumDefImpl< ENUM >::getKey | ( | ENUM | theenum | ) | const
| inline

## ◆ init()

template<class ENUM >

void EnumDefImpl< ENUM >::init | ( |  | ) |
| inline private

## ◆ parse() [1/3]

template<class ENUM >

ENUM EnumDefImpl< ENUM >::parse | ( | const char * | txt | ) | const
| inline

## ◆ parse() [2/3]

template<class ENUM >

bool EnumDefImpl< ENUM >::parse | ( | const char * | txt,
|  | ENUM & | res ) const
| inline

## ◆ parse() [3/3]

template<class ENUM >

bool EnumDefImpl< ENUM >::parse | ( | const IOPar & | par,
|  | const char * | key,
|  | ENUM & | res ) const
| inline

## ◆ toString()

template<class ENUM >

const char * EnumDefImpl< ENUM >::toString | ( | ENUM | theenum | ) | const
| inline

## ◆ toUiString()

template<class ENUM >

uiString EnumDefImpl< ENUM >::toUiString | ( | ENUM | theenum | ) | const
| inline

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025